## ros-melodic-dbw-mkz-can 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,11 +19,17 @@
 endif()
 
 if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
-  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++17")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
 elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
-  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
-  set(CMAKE_CXX_STANDARD 11)
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++17")
+  set(CMAKE_CXX_STANDARD 17)
+elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "11")
+  message(STATUS "Changing CXX_STANDARD from C++11 to C++17")
+  set(CMAKE_CXX_STANDARD 17)
+elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "14")
+  message(STATUS "Changing CXX_STANDARD from C++14 to C++17")
+  set(CMAKE_CXX_STANDARD 17)
 endif()
 
 catkin_package(
